<meta charset="utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<div>
<h1>Using libguestfs from Python</h1>

<p id="steps">
Create handle &mdash;
Inspect &mdash;
<b>Modify</b> &mdash;
Shutdown</p>

<pre class="code">
os.mkdir ("/mountpoint")

<b>g.mount_local</b> ("/mountpoint")

os.fork ()  ──────────────────────┐
                                  │
<b>g.mount_local_run</b> ()              │
                                  │
                              run ┆
                                a ┆
                           script ┆ in
                                  ┆ /mountpoint
                                  ┆
                               (umount)
</pre>

</div>
